com.rscja.deviceapi.interfaces

## Interface IRFIDWithUHFRLM

- All Superinterfaces:
    IUHF, IUHFOfAndroidUart
  All Known Implementing Classes:
    RFIDWithUHFRLM, RFIDWithUHFRLM_qcom

      public interface IRFIDWithUHFRLM
      extends IUHFOfAndroidUart

- - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFrequencyMode()` 读取模块的工作模式 Read work mode of module
    `UHFTAGInfo` | `inventorySingleTag()` 单步识别标签 Identify tag in single mode
    `java.lang.String` | `inventorySingleTagUii()`
    `boolean` | `killTag(java.lang.String killPwd)` 销毁指定标签,默认密码(0x00 0x00 0x00 0x00)不能执行销毁 Kill specific tag, default password(0x00 0x00 0x00 0x00)
    `boolean` | `killTag(java.lang.String killPwd, java.lang.String uii)`
    `boolean` | `lockMem(java.lang.String accessPwd, java.lang.String lockCode)` 锁定标签 Lock tag
    `boolean` | `lockMem(java.lang.String accessPwd, java.lang.String lockCode, java.lang.String uii)`
    `java.lang.String` | `readData(java.lang.String accessPwd, int bank, int ptr, int cnt)` 读取标签数据 Read tag data
    `java.lang.String` | `readData(java.lang.String accessPwd, int bank, int ptr, int cnt, java.lang.String uii)`
    `boolean` | `setFrequencyMode(int freMode)` 设置模块的工作模式 Setup work mode of module
    `boolean` | `startInventoryTag(int flagAnti, int initQ, int cnt)`
    `boolean` | `writeData(java.lang.String accessPwd, int bank, int ptr, int cnt, java.lang.String data)` 向标签写入数据 Write data in tag
    `boolean` | `writeData(java.lang.String accessPwd, int bank, int ptr, int cnt, java.lang.String data, java.lang.String uii)`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFOfAndroidUart

      `getErrCode, getHardwareVersion, isPowerOn, setOnLowBatteryListener, setPowerOnBySystem, setUart`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, factoryReset, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFastInventoryMode, getGen2, getProtocol, getRFLink, getTemperature, getVersion, init, isInventorying, killTag, lockMem, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setGen2, setInventoryCallback, setProtocol, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeDataToEpc, writeDataToEpc`

- - ### Method Detail

    - #### readData

          java.lang.String readData(java.lang.String accessPwd,
                                    int bank,
                                    int ptr,
                                    int cnt)

      Description copied from interface: `IUHF`
      读取标签数据
      Read tag data
      Specified by:
        `readData` in interface `IUHF`
      Parameters:
        `accessPwd` - Access password
        `bank` - 读取的存储区(read storage area): `IUHF.Bank_RESERVED`、`IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 读取的起始地址(单位:字) (read start address(unit: word))
        `cnt` - 读取的数据长度(单位:字) (read data length(unit: word))
      Returns:
        返回获取的数据, null表示读取失败 (return acquired data, null means read failure)

    - #### readData

          java.lang.String readData(java.lang.String accessPwd,
                                    int bank,
                                    int ptr,
                                    int cnt,
                                    java.lang.String uii)

    - #### writeData

          boolean writeData(java.lang.String accessPwd,
                            int bank,
                            int ptr,
                            int cnt,
                            java.lang.String data)

      Description copied from interface: `IUHF`
      向标签写入数据
      Write data in tag
      Specified by:
        `writeData` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `bank` - 标签的存储区(Storage area):`IUHF.Bank_RESERVED`、`IUHF.Bank_EPC`、`IUHF.Bank_TID`、`IUHF.Bank_USER`
        `ptr` - 起始地址的偏移量(start address(unit: word))
        `cnt` - 数据的长度（Word为单位，不能为0）(Data length(Word is unit, cannot be 0))
        `data` - 要写入的数据,十六进制格式 (Data format should be hexvalue)
      Returns:
        true:成功(success) false:失败(failure)

    - #### writeData

          boolean writeData(java.lang.String accessPwd,
                            int bank,
                            int ptr,
                            int cnt,
                            java.lang.String data,
                            java.lang.String uii)

    - #### killTag

          boolean killTag(java.lang.String killPwd)

      Description copied from interface: `IUHF`
      销毁指定标签,默认密码(0x00 0x00 0x00 0x00)不能执行销毁
      Kill specific tag, default password(0x00 0x00 0x00 0x00)
      Specified by:
        `killTag` in interface `IUHF`
      Parameters:
        `killPwd` - 销毁密码(Kill password)
      Returns:
        true:成功(success) false:失败(failure)

    - #### killTag

          boolean killTag(java.lang.String killPwd,
                          java.lang.String uii)

    - #### lockMem

          boolean lockMem(java.lang.String accessPwd,
                          java.lang.String lockCode)

      Description copied from interface: `IUHF`
      锁定标签
      Lock tag
      Specified by:
        `lockMem` in interface `IUHF`
      Parameters:
        `accessPwd` - ACCESS PASSWORD (4 bites)
        `lockCode` - 锁定码 (Lock Code)
      Returns:
        true:成功(success) false:失败(failure)

    - #### lockMem

          boolean lockMem(java.lang.String accessPwd,
                          java.lang.String lockCode,
                          java.lang.String uii)

    - #### startInventoryTag

          boolean startInventoryTag(int flagAnti,
                                    int initQ,
                                    int cnt)

    - #### inventorySingleTag

          UHFTAGInfo inventorySingleTag()

      Description copied from interface: `IUHF`
      单步识别标签
      Identify tag in single mode
      Specified by:
        `inventorySingleTag` in interface `IUHF`
      Returns:
        返回标签信息(return tag infor)

    - #### inventorySingleTagUii

          java.lang.String inventorySingleTagUii()

    - #### getFrequencyMode

          int getFrequencyMode()

      Description copied from interface: `IUHF`
      读取模块的工作模式
      Read work mode of module
      Specified by:
        `getFrequencyMode` in interface `IUHF`
      Returns:
        返回工作模式，返回-1为失败 (return work mode, return -1 means failure)
        0x01：China Standard(840~845MHz)
        0x02：China Standard2(920~925MHz)
        0x04：Europe Standard(865~868MHz)
        0x08：USA(902-928MHz)
        0x16：Korea(917~923MHz)
        0x32: Japan(916.8~920.8MHz)
        0x33: South Africa(915~919MHz)
        0x34: China Taiwan(920~928Mhz)
        0x35:Vietnam(918~923MHz)
        0x36:Peru(915MHz-928MHz)
        0x37:Russia( 860MHz-867.6MHz)
        0x3B:Malaysia(919-923MHz)
        0x3C:Brazil
        0x3D:ETSI_UPPER
        0x3E:Australia
        0x3F:Indonesia(920-923MHz)
        0x40:Israel
        0x41:HK
        0x42:New Zealand

    - #### setFrequencyMode

          boolean setFrequencyMode(int freMode)

      Description copied from interface: `IUHF`
      设置模块的工作模式
      Setup work mode of module
      Specified by:
        `setFrequencyMode` in interface `IUHF`
      Parameters:
        `freMode` - 0x01：China Standard(840~845MHz)
        0x02：China Standard2(920~925MHz)
        0x04：Europe Standard(865~868MHz)
        0x08：USA(902-928MHz)
        0x16：Korea(917~923MHz)
        0x32: Japan(916.8~920.8MHz)
        0x33: South Africa(915~919MHz)
        0x34: China Taiwan(920~928Mhz)
        0x35:Vietnam(918~923MHz)
        0x36:Peru(915MHz-928MHz)
        0x37:Russia( 860MHz-867.6MHz)
        0x3B:Malaysia(919-923MHz)
        0x3C:Brazil
        0x3D:ETSI_UPPER
        0x3E:Australia
        0x3F:Indonesia(920-923MHz)
        0x40:Israel
        0x41:HK
        0x42:New Zealand
      Returns:
        true:成功(success) false:失败(failure)